### Example Description ###
This is an example JIRA plugin to demonstrate how to make the Structure plugin to support custom entities.
To do so it implements its own support for JIRA project.

The plugin demonstrates implementations of the following features:
 * A new [custom item type](./src/main/java/com/almworks/jira/structure/customitemtype/CustomProjectItemType.java).
 With this implementation a structure may contain a new kind of entities. Also this component notifies the Structure plugin 
 when a JIRA project has been changed.
 * How to insert custom entities into a structure with a [configurable inserter](./src/main/java/com/almworks/jira/structure/customitemtype/CustomProjectInserter.java).
 * How to [display](./src/main/java/com/almworks/jira/structure/customitemtype/CustomProjectLoaderProvider.java)
  an custom entity with text and icon in the standard Structure column.
  
### The New Features in Structure ###
To insert this new items into a structure:
 1. Open a structure
 1. Press the **Automation** plus button
 1. Select **Insert**
 1. Select **Custom Project Inserter** (this displayable name is defined in the [i18n resource](./src/main/resources/Messages.properties))
 1. See the inserter's configuration [form](./src/main/resources/templates/inserter/form.vm)
 1. Choose a project category and press the Apply button
 1. See a new inserter appears in the structure.
    * The inserter populates the structure with [custom project items](./src/main/java/com/almworks/jira/structure/customitemtype/CustomProjectItemType.java)
    * A Summary column displays [project name and icon](./src/main/java/com/almworks/jira/structure/customitemtype/CustomProjectLoaderProvider.java)