package com.almworks.jira.structure.apiclient;

import com.almworks.jira.structure.api.permissions.PermissionLevel;
import com.almworks.jira.structure.api.structure.Structure;
import com.almworks.jira.structure.api.util.La;
import com.atlassian.jira.web.action.JiraWebActionSupport;

import java.util.List;

/**
 * @author Igor Sereda
 */
public class StructureApiClient extends JiraWebActionSupport {
  private final TestComponent myComponent;

  public StructureApiClient(TestComponent component) {
    myComponent = component;
  }

  public List<String> getStructureNames() {
    List<Structure> structures = myComponent.getStructureManager().getAllStructures(PermissionLevel.VIEW);
    return new La<Structure, String>() {
      public String la(Structure argument) {
        return argument.getName();
      }
    }.arrayList(structures);
  }

  public String doExecute() {
    return SUCCESS;
  }
}
